Index: boot/generic/include/typedefs.h
===================================================================
--- boot/generic/include/typedefs.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ boot/generic/include/typedefs.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -37,5 +37,5 @@
 #include <arch/types.h>
 
-#define NULL	((void *) 0)
+#define NULL  0
 
 #define false  0
Index: kernel/arch/amd64/src/debugger.c
===================================================================
--- kernel/arch/amd64/src/debugger.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/arch/amd64/src/debugger.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -260,5 +260,5 @@
 	}
 	
-	cur->address = (uintptr_t) NULL;
+	cur->address = NULL;
 	
 	setup_dr(slot);
@@ -313,5 +313,5 @@
 	unsigned int i;
 	for (i = 0; i < BKPOINTS_MAX; i++)
-		breakpoints[i].address = (uintptr_t) NULL;
+		breakpoints[i].address = NULL;
 	
 #ifdef CONFIG_KCONSOLE
Index: kernel/arch/mips32/src/debugger.c
===================================================================
--- kernel/arch/mips32/src/debugger.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/arch/mips32/src/debugger.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -247,5 +247,5 @@
 	smc_coherence(((uint32_t *) cur->address)[1]);
 	
-	cur->address = (uintptr_t) NULL;
+	cur->address = NULL;
 	
 	irq_spinlock_unlock(&bkpoint_lock, true);
@@ -289,5 +289,5 @@
 	
 	for (i = 0; i < BKPOINTS_MAX; i++)
-		breakpoints[i].address = (uintptr_t) NULL;
+		breakpoints[i].address = NULL;
 	
 #ifdef CONFIG_KCONSOLE
@@ -417,5 +417,5 @@
 		/* Remove one-shot breakpoint */
 		if ((cur->flags & BKPOINT_ONESHOT))
-			cur->address = (uintptr_t) NULL;
+			cur->address = NULL;
 		
 		/* Remove in-progress flag */
Index: kernel/arch/sparc64/src/mm/sun4u/frame.c
===================================================================
--- kernel/arch/sparc64/src/mm/sun4u/frame.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/arch/sparc64/src/mm/sun4u/frame.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -41,5 +41,5 @@
 #include <macros.h>
 
-uintptr_t last_frame = (uintptr_t) NULL;
+uintptr_t last_frame = NULL;
 
 /** Create memory zones according to information stored in memmap.
Index: kernel/generic/include/typedefs.h
===================================================================
--- kernel/generic/include/typedefs.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/include/typedefs.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -40,5 +40,5 @@
 #include <arch/types.h>
 
-#define NULL	((void *) 0)
+#define NULL  0UL
 
 #define false  0
Index: kernel/generic/src/main/main.c
===================================================================
--- kernel/generic/src/main/main.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/src/main/main.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -97,5 +97,5 @@
 /** Boot allocations. */
 ballocs_t ballocs = {
-	.base = (uintptr_t) NULL,
+	.base = NULL,
 	.size = 0
 };
Index: kernel/generic/src/mm/as.c
===================================================================
--- kernel/generic/src/mm/as.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/src/mm/as.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -312,5 +312,5 @@
 	 *
 	 */
-	if (overlaps(va, size, (uintptr_t) NULL, PAGE_SIZE))
+	if (overlaps(va, size, NULL, PAGE_SIZE))
 		return false;
 	
Index: kernel/generic/src/mm/frame.c
===================================================================
--- kernel/generic/src/mm/frame.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/src/mm/frame.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -878,5 +878,5 @@
 		 * the assert
 		 */
-		ASSERT(confframe != ADDR2PFN((uintptr_t ) NULL));
+		ASSERT(confframe != NULL);
 		
 		/* If confframe is supposed to be inside our zone, then make sure
@@ -1104,5 +1104,5 @@
 	 */
 	pfn_t pfn = ADDR2PFN(frame);
-	size_t znum = find_zone(pfn, 1, 0);
+	size_t znum = find_zone(pfn, 1, NULL);
 	
 	ASSERT(znum != (size_t) -1);
@@ -1141,5 +1141,5 @@
 	 * First, find host frame zone for addr.
 	 */
-	size_t znum = find_zone(pfn, 1, 0);
+	size_t znum = find_zone(pfn, 1, NULL);
 	
 	ASSERT(znum != (size_t) -1);
Index: kernel/generic/src/synch/smc.c
===================================================================
--- kernel/generic/src/synch/smc.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/src/synch/smc.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -44,5 +44,5 @@
 unative_t sys_smc_coherence(uintptr_t va, size_t size)
 {
-	if (overlaps(va, size, (uintptr_t) NULL, PAGE_SIZE))
+	if (overlaps(va, size, NULL, PAGE_SIZE))
 		return EINVAL;
 
Index: kernel/generic/src/udebug/udebug_ops.c
===================================================================
--- kernel/generic/src/udebug/udebug_ops.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ kernel/generic/src/udebug/udebug_ops.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -428,5 +428,5 @@
  * @param data_size Place to store size of the data.
  *
- * @return EOK.
+ * @returns EOK.
  *
  */
Index: uspace/Makefile
===================================================================
--- uspace/Makefile	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/Makefile	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -51,4 +51,5 @@
 	app/top \
 	app/virtusbkbd \
+	app/netstart \
 	app/netecho \
 	app/nettest1 \
Index: uspace/app/bdsh/cmds/builtins/builtins.h
===================================================================
--- uspace/app/bdsh/cmds/builtins/builtins.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/app/bdsh/cmds/builtins/builtins.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -10,5 +10,5 @@
 #include "cd/cd_def.h"
 #include "exit/exit_def.h"
-	{NULL, NULL, NULL, NULL, 0}
+	{NULL, NULL, NULL, NULL, NULL}
 };
 
Index: uspace/app/netecho/print_error.h
===================================================================
--- uspace/app/netecho/print_error.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/app/netecho/print_error.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -43,5 +43,5 @@
  *
  * @param[in] error_code The error code.
- * @return A value indicating whether the error code may be an ICMP error code.
+ * @returns A value indicating whether the error code may be an ICMP error code.
  */
 #define IS_ICMP_ERROR(error_code)	((error_code) > 0)
@@ -50,5 +50,5 @@
  *
  * @param[in] error_code The error code.
- * @return A value indicating whether the error code may be a socket error code.
+ * @returns A value indicating whether the error code may be a socket error code.
  */
 #define IS_SOCKET_ERROR(error_code)	((error_code) < 0)
Index: uspace/app/netstart/Makefile
===================================================================
--- uspace/app/netstart/Makefile	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
+++ uspace/app/netstart/Makefile	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -0,0 +1,39 @@
+#
+# Copyright (c) 2005 Martin Decky
+# Copyright (c) 2007 Jakub Jermar
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+#   notice, this list of conditions and the following disclaimer.
+# - Redistributions in binary form must reproduce the above copyright
+#   notice, this list of conditions and the following disclaimer in the
+#   documentation and/or other materials provided with the distribution.
+# - The name of the author may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+USPACE_PREFIX = ../..
+LIBS = 
+EXTRA_CFLAGS = 
+
+BINARY = netstart
+
+SOURCES = \
+	netstart.c
+
+include $(USPACE_PREFIX)/Makefile.common
Index: uspace/app/netstart/netstart.c
===================================================================
--- uspace/app/netstart/netstart.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
+++ uspace/app/netstart/netstart.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -0,0 +1,91 @@
+/*
+ * Copyright (c) 2009 Lukas Mejdrech
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup net
+ * @{
+ */
+
+/** @file
+ * Start the networking subsystem.
+ */
+
+#define NAME  "netstart"
+
+#include <async.h>
+#include <stdio.h>
+#include <task.h>
+#include <str_error.h>
+#include <ipc/ipc.h>
+#include <ipc/services.h>
+#include <ipc/net_net.h>
+
+#include <net/modules.h>
+
+/** Start a module.
+ *
+ * @param[in] desc	The module description
+ * @param[in] path	The module absolute path.
+ * @returns		True on succesful spanwning.
+ * @returns		False on failure
+ */
+static bool spawn(const char *desc, const char *path)
+{
+	int rc;
+
+	printf("%s: Spawning %s (%s)\n", NAME, desc, path);
+	rc = task_spawnl(NULL, path, path, NULL);
+	if (rc != EOK) {
+		fprintf(stderr, "%s: Error spawning %s (%s)\n", NAME, path,
+		    str_error(rc));
+		return false;
+	}
+	
+	return true;
+}
+
+int main(int argc, char *argv[])
+{
+	int rc;
+	
+	if (!spawn("networking service", "/srv/net"))
+		return EINVAL;
+	
+	printf("%s: Initializing networking\n", NAME);
+	
+	int net_phone = connect_to_service(SERVICE_NETWORKING);
+	rc = ipc_call_sync_0_0(net_phone, NET_NET_STARTUP);
+	if (rc != EOK) {
+		fprintf(stderr, "%s: Startup error %d\n", NAME, rc);
+		return rc;
+	}
+	
+	return EOK;
+}
+
+/** @}
+ */
Index: uspace/app/nettest1/nettest.c
===================================================================
--- uspace/app/nettest1/nettest.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/app/nettest1/nettest.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -49,6 +49,6 @@
  * @param[in] family The socket address family.
  * @param[in] type The socket type.
- * @return EOK on success.
- * @return Other error codes as defined for the socket() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the socket() function.
  */
 int sockets_create(int verbose, int *socket_ids, int sockets, int family, sock_type_t type)
@@ -80,6 +80,6 @@
  * @param[in] socket_ids A field of stored socket identifiers.
  * @param[in] sockets The number of sockets in the field. Should be at most the size of the field.
- * @return EOK on success.
- * @return Other error codes as defined for the closesocket() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the closesocket() function.
  */
 int sockets_close(int verbose, int *socket_ids, int sockets)
@@ -114,6 +114,6 @@
  * @param[in] address The destination host address to connect to.
  * @param[in] addrlen The length of the destination address in bytes.
- * @return EOK on success.
- * @return Other error codes as defined for the connect() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the connect() function.
  */
 int sockets_connect(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t addrlen)
@@ -150,6 +150,6 @@
  * @param[in] size The data size in bytes.
  * @param[in] messages The number of datagrams per socket to be sent.
- * @return EOK on success.
- * @return Other error codes as defined for the sendto() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the sendto() function.
  */
 int sockets_sendto(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t addrlen, char *data, int size, int messages)
@@ -190,6 +190,6 @@
  * @param[in] size The maximum data size in bytes.
  * @param[in] messages The number of datagrams per socket to be received.
- * @return EOK on success.
- * @return Other error codes as defined for the recvfrom() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the recvfrom() function.
  */
 int sockets_recvfrom(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t *addrlen, char *data, int size, int messages)
@@ -232,6 +232,6 @@
  * @param[in] size The data size in bytes.
  * @param[in] messages The number of datagrams per socket to be received.
- * @return EOK on success.
- * @return Other error codes as defined for the recvfrom() function.
+ * @returns EOK on success.
+ * @returns Other error codes as defined for the recvfrom() function.
  */
 int sockets_sendto_recvfrom(int verbose, int *socket_ids, int sockets, struct sockaddr *address, socklen_t *addrlen, char *data, int size, int messages)
Index: uspace/app/nettest1/nettest1.c
===================================================================
--- uspace/app/nettest1/nettest1.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/app/nettest1/nettest1.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -388,5 +388,5 @@
 		return ENOMEM;
 	}
-	socket_ids[sockets] = 0;
+	socket_ids[sockets] = NULL;
 
 	if (verbose)
Index: uspace/app/nettest2/nettest2.c
===================================================================
--- uspace/app/nettest2/nettest2.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/app/nettest2/nettest2.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -336,5 +336,5 @@
 		return ENOMEM;
 	}
-	socket_ids[sockets] = 0;
+	socket_ids[sockets] = NULL;
 
 	if (verbose)
Index: uspace/drv/ns8250/cyclic_buffer.h
===================================================================
--- uspace/drv/ns8250/cyclic_buffer.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/drv/ns8250/cyclic_buffer.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -45,5 +45,5 @@
 
 /*
- * @return		False if the buffer is full.
+ * @returns		False if the buffer is full.
  */
 static inline bool buf_push_back(cyclic_buffer_t *buf, uint8_t item)
Index: uspace/lib/c/arch/abs32le/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -56,10 +56,10 @@
 uintptr_t stacktrace_fp_get(void)
 {
-	return (uintptr_t) NULL;
+	return NULL;
 }
 
 uintptr_t stacktrace_pc_get(void)
 {
-	return (uintptr_t) NULL;
+	return NULL;
 }
 
Index: uspace/lib/c/arch/abs32le/src/tls.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/tls.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/lib/c/arch/abs32le/src/tls.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -46,5 +46,5 @@
 uintptr_t __aeabi_read_tp(void)
 {
-	return (uintptr_t) NULL;
+	return NULL;
 }
 
Index: uspace/lib/c/generic/adt/char_map.c
===================================================================
--- uspace/lib/c/generic/adt/char_map.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/lib/c/generic/adt/char_map.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -60,17 +60,17 @@
  * @param[in] value	The integral value to be stored for the key character
  *			string.
- * @return		EOK on success.
- * @return		ENOMEM if there is not enough memory left.
- * @return		EEXIST if the key character string is already used.
+ * @returns		EOK on success.
+ * @returns		ENOMEM if there is not enough memory left.
+ * @returns		EEXIST if the key character string is already used.
  */
 static int
-char_map_add_item(char_map_t *map, const char *identifier, size_t length,
+char_map_add_item(char_map_ref map, const char *identifier, size_t length,
     const int value)
 {
 	if (map->next == (map->size - 1)) {
-		char_map_t **tmp;
-
-		tmp = (char_map_t **) realloc(map->items,
-		    sizeof(char_map_t *) * 2 * map->size);
+		char_map_ref *tmp;
+
+		tmp = (char_map_ref *) realloc(map->items,
+		    sizeof(char_map_ref) * 2 * map->size);
 		if (!tmp)
 			return ENOMEM;
@@ -80,5 +80,5 @@
 	}
 
-	map->items[map->next] = (char_map_t *) malloc(sizeof(char_map_t));
+	map->items[map->next] = (char_map_ref) malloc(sizeof(char_map_t));
 	if (!map->items[map->next])
 		return ENOMEM;
@@ -107,8 +107,8 @@
  *
  * @param[in] map	The character string to integer map.
- * @return		TRUE if the map is valid.
- * @return		FALSE otherwise.
- */
-static int char_map_is_valid(const char_map_t *map)
+ * @returns		TRUE if the map is valid.
+ * @returns		FALSE otherwise.
+ */
+static int char_map_is_valid(const char_map_ref map)
 {
 	return map && (map->magic == CHAR_MAP_MAGIC_VALUE);
@@ -127,17 +127,17 @@
  * @param[in] value	The integral value to be stored for the key character
  *			string.
- * @return		EOK on success.
- * @return		EINVAL if the map is not valid.
- * @return		EINVAL if the identifier parameter is NULL.
- * @return		EINVAL if the length parameter zero (0) and the
+ * @returns		EOK on success.
+ * @returns		EINVAL if the map is not valid.
+ * @returns		EINVAL if the identifier parameter is NULL.
+ * @returns		EINVAL if the length parameter zero (0) and the
  *			identifier parameter is an empty character string (the
  *			first character is the terminating zero ('\0')
  *			character.
- * @return		EEXIST if the key character string is already used.
- * @return		Other error codes as defined for the
+ * @returns		EEXIST if the key character string is already used.
+ * @returns		Other error codes as defined for the
  *			char_map_add_item() function.
  */
 int
-char_map_add(char_map_t *map, const char *identifier, size_t length,
+char_map_add(char_map_ref map, const char *identifier, size_t length,
     const int value)
 {
@@ -172,5 +172,5 @@
  * @param[in,out] map	The character string to integer map.
  */
-void char_map_destroy(char_map_t *map)
+void char_map_destroy(char_map_ref map)
 {
 	if (char_map_is_valid(map)) {
@@ -196,10 +196,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- * @return		The node holding the integral value assigned to the key
+ * @returns		The node holding the integral value assigned to the key
  *			character string.
- * @return		NULL if the key is not assigned a node.
- */
-static char_map_t *
-char_map_find_node(const char_map_t *map, const char *identifier,
+ * @returns		NULL if the key is not assigned a node.
+ */
+static char_map_ref
+char_map_find_node(const char_map_ref map, const char *identifier,
     size_t length)
 {
@@ -224,5 +224,5 @@
 	}
 
-	return (char_map_t *) map;
+	return map;
 }
 
@@ -239,10 +239,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- * @return		The integral value assigned to the key character string.
- * @return		CHAR_MAP_NULL if the key is not assigned a value.
- */
-int char_map_exclude(char_map_t *map, const char *identifier, size_t length)
-{
-	char_map_t *node;
+ * @returns		The integral value assigned to the key character string.
+ * @returns		CHAR_MAP_NULL if the key is not assigned a value.
+ */
+int char_map_exclude(char_map_ref map, const char *identifier, size_t length)
+{
+	char_map_ref node;
 
 	node = char_map_find_node(map, identifier, length);
@@ -267,10 +267,10 @@
  *			zero (0) which means that the string is processed until
  *			the terminating zero ('\0') character is found.
- *  @return		The integral value assigned to the key character string.
- *  @return		CHAR_MAP_NULL if the key is not assigned a value.
- */
-int char_map_find(const char_map_t *map, const char *identifier, size_t length)
-{
-	char_map_t *node;
+ *  @returns		The integral value assigned to the key character string.
+ *  @returns		CHAR_MAP_NULL if the key is not assigned a value.
+ */
+int char_map_find(const char_map_ref map, const char *identifier, size_t length)
+{
+	char_map_ref node;
 
 	node = char_map_find_node(map, identifier, length);
@@ -281,9 +281,9 @@
  *
  *  @param[in,out] map	The character string to integer map.
- *  @return		EOK on success.
- *  @return		EINVAL if the map parameter is NULL.
- *  @return		ENOMEM if there is not enough memory left.
- */
-int char_map_initialize(char_map_t *map)
+ *  @returns		EOK on success.
+ *  @returns		EINVAL if the map parameter is NULL.
+ *  @returns		ENOMEM if there is not enough memory left.
+ */
+int char_map_initialize(char_map_ref map)
 {
 	if (!map)
@@ -295,5 +295,5 @@
 	map->next = 0;
 
-	map->items = malloc(sizeof(char_map_t *) * map->size);
+	map->items = malloc(sizeof(char_map_ref) * map->size);
 	if (!map->items) {
 		map->magic = 0;
@@ -319,19 +319,19 @@
  *  @param[in] value	The integral value to be stored for the key character
  *			string.
- *  @return		EOK on success.
- *  @return		EINVAL if the map is not valid.
- *  @return		EINVAL if the identifier parameter is NULL.
- *  @return		EINVAL if the length parameter zero (0) and the
+ *  @returns		EOK on success.
+ *  @returns		EINVAL if the map is not valid.
+ *  @returns		EINVAL if the identifier parameter is NULL.
+ *  @returns		EINVAL if the length parameter zero (0) and the
  *			identifier parameter is an empty character string (the
  *			first character is the terminating zero ('\0) character.
- *  @return		EEXIST if the key character string is already used.
- *  @return		Other error codes as defined for the char_map_add_item()
+ *  @returns		EEXIST if the key character string is already used.
+ *  @returns		Other error codes as defined for the char_map_add_item()
  *			function.
  */
 int
-char_map_update(char_map_t *map, const char *identifier, const size_t length,
+char_map_update(char_map_ref map, const char *identifier, const size_t length,
     const int value)
 {
-	char_map_t *node;
+	char_map_ref node;
 
 	node = char_map_find_node(map, identifier, length);
Index: uspace/lib/c/generic/adt/dynamic_fifo.c
===================================================================
--- uspace/lib/c/generic/adt/dynamic_fifo.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/lib/c/generic/adt/dynamic_fifo.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -56,8 +56,8 @@
  *
  * @param[in] fifo	The dynamic queue.
- * @return		TRUE if the queue is valid.
- * @return		FALSE otherwise.
- */
-static int dyn_fifo_is_valid(dyn_fifo_t *fifo)
+ * @returns		TRUE if the queue is valid.
+ * @returns		FALSE otherwise.
+ */
+static int dyn_fifo_is_valid(dyn_fifo_ref fifo)
 {
 	return fifo && (fifo->magic_value == DYN_FIFO_MAGIC_VALUE);
@@ -68,10 +68,10 @@
  * @param[in,out] fifo	The dynamic queue.
  * @param[in] size	The initial queue size.
- * @return		EOK on success.
- * @return		EINVAL if the queue is not valid.
- * @return		EBADMEM if the fifo parameter is NULL.
- * @return		ENOMEM if there is not enough memory left.
- */
-int dyn_fifo_initialize(dyn_fifo_t *fifo, int size)
+ * @returns		EOK on success.
+ * @returns		EINVAL if the queue is not valid.
+ * @returns		EBADMEM if the fifo parameter is NULL.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int dyn_fifo_initialize(dyn_fifo_ref fifo, int size)
 {
 	if (!fifo)
@@ -100,9 +100,9 @@
  *			this limit. May be zero or negative to indicate no
  *			limit.
- * @return		EOK on success.
- * @return		EINVAL if the queue is not valid.
- * @return		ENOMEM if there is not enough memory left.
- */
-int dyn_fifo_push(dyn_fifo_t *fifo, int value, int max_size)
+ * @returns		EOK on success.
+ * @returns		EINVAL if the queue is not valid.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int dyn_fifo_push(dyn_fifo_ref fifo, int value, int max_size)
 {
 	int *new_items;
@@ -150,9 +150,9 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @return		Value of the first item in the queue.
- * @return		EINVAL if the queue is not valid.
- * @return		ENOENT if the queue is empty.
- */
-int dyn_fifo_pop(dyn_fifo_t *fifo)
+ * @returns		Value of the first item in the queue.
+ * @returns		EINVAL if the queue is not valid.
+ * @returns		ENOENT if the queue is empty.
+ */
+int dyn_fifo_pop(dyn_fifo_ref fifo)
 {
 	int value;
@@ -172,9 +172,9 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @return		Value of the first item in the queue.
- * @return		EINVAL if the queue is not valid.
- * @return		ENOENT if the queue is empty.
- */
-int dyn_fifo_value(dyn_fifo_t *fifo)
+ * @returnsi		Value of the first item in the queue.
+ * @returns		EINVAL if the queue is not valid.
+ * @returns		ENOENT if the queue is empty.
+ */
+int dyn_fifo_value(dyn_fifo_ref fifo)
 {
 	if (!dyn_fifo_is_valid(fifo))
@@ -190,8 +190,8 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @return		EOK on success.
- * @return		EINVAL if the queue is not valid.
- */
-int dyn_fifo_destroy(dyn_fifo_t *fifo)
+ * @returns		EOK on success.
+ * @returns		EINVAL if the queue is not valid.
+ */
+int dyn_fifo_destroy(dyn_fifo_ref fifo)
 {
 	if (!dyn_fifo_is_valid(fifo))
